Create inbox

Creates SMTP or SES inbox (not Google/Microsoft OAuth).

POSThttps://app.boltsequencer.com/api/inboxes

Authentication

Bearer owner API key required. Send:

  • Authorization: Bearer bs_live_…
  • X-Workspace-Id: <workspace-uuid> (workspace you own)

Description

Creates SMTP or SES inbox (not Google/Microsoft OAuth).

Request body

JSON unless noted.

provider (smtp | ses), email, credentials, optional settings, tags.

Response

JSON object on success unless this route returns a file download (Content-Disposition: attachment). Rate limit headers are included on authenticated responses: X-RateLimit-Limit, X-RateLimit-Remaining, X-RateLimit-Reset.

Errors

400 verify failure; 409 duplicate email.

Example

curl -sS -X POST "https://app.boltsequencer.com/api/inboxes" \
  -H "Authorization: Bearer bs_live_YOUR_KEY" \
  -H "X-Workspace-Id: YOUR_WORKSPACE_UUID"
  -H "Content-Type: application/json" \
  -d '{}'